# TdApi.PremiumSourceLink (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PremiumSourceLink

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumSourceLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumSource
it.tdlight.jni.TdApi.PremiumSourceLink

Enclosing class:
  TdApi

public static final class TdApi.PremiumSourceLink extends TdApi.PremiumSource
A user opened an internal link of the type internalLinkTypePremiumFeatures.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`referrer`
The referrer from the link.

## Constructor Summary

Constructors
Constructor
Description
`PremiumSourceLink()`
A user opened an internal link of the type internalLinkTypePremiumFeatures.
`PremiumSourceLink(DataInput input)`
A user opened an internal link of the type internalLinkTypePremiumFeatures.
`PremiumSourceLink(String referrer)`
A user opened an internal link of the type internalLinkTypePremiumFeatures.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### referrer

public String referrer
The referrer from the link.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PremiumSourceLink

public PremiumSourceLink()
A user opened an internal link of the type internalLinkTypePremiumFeatures.

### PremiumSourceLink

public PremiumSourceLink(String referrer)
A user opened an internal link of the type internalLinkTypePremiumFeatures.

Parameters:
  `referrer` - String The referrer from the link.

### PremiumSourceLink

public PremiumSourceLink(DataInput input) throws IOException
A user opened an internal link of the type internalLinkTypePremiumFeatures.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`